Debian Bug report logs - #451432
ifplugd: FTBFS on amd64: Conflicting types for loff_t

version graph

Package: ifplugd; Maintainer for ifplugd is Walter Franzini <walter.franzini@gmail.com>; Source for ifplugd is src:ifplugd.

Reported by: Daniel Schepler <schepler@math.unipd.it>

Date: Thu, 15 Nov 2007 22:30:04 UTC

Severity: serious

Tags: patch

Found in version ifplugd/0.28-2.3

Fixed in version ifplugd/0.28-4

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oliver Kurth <oku@debian.org>:
Bug#451432; Package ifplugd. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.unipd.it>:
New Bug report received and forwarded. Copy sent to Oliver Kurth <oku@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.unipd.it>
To: submit@bugs.debian.org
Subject: ifplugd: FTBFS on amd64: Conflicting types for loff_t
Date: Thu, 15 Nov 2007 17:26:48 -0500
Package: ifplugd
Version: 0.28-2.3
Severity: serious

From my pbuilder build log:

...
if x86_64-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..    -D_REENTRANT   -DSYSCONFDIR="\"/etc\"" -D_GNU_SOURCE -g -O2 -pipe -W -Wall -Wno-unused-parameter -MT interface.o -MD -MP -MF ".deps/interface.Tpo" -c -o interface.o interface.c; \
        then mv -f ".deps/interface.Tpo" ".deps/interface.Po"; else rm -f ".deps/interface.Tpo"; exit 1; fi
In file included from interface.c:27:
/usr/include/sys/types.h:46: error: conflicting types for 'loff_t'
/usr/include/linux/types.h:30: error: previous declaration of 'loff_t' was here
/usr/include/sys/types.h:62: error: conflicting types for 'dev_t'
/usr/include/linux/types.h:13: error: previous declaration of 'dev_t' was here
...
make[4]: *** [interface.o] Error 1
make[4]: Leaving directory `/tmp/buildd/ifplugd-0.28/src'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/tmp/buildd/ifplugd-0.28/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/ifplugd-0.28'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/ifplugd-0.28'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
-- 
Daniel Schepler




Information forwarded to debian-bugs-dist@lists.debian.org, Oliver Kurth <oku@debian.org>:
Bug#451432; Package ifplugd. Full text and rfc822 format available.

Message #8 received at 451432@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: Daniel Schepler <schepler@math.unipd.it>
Cc: 451432@bugs.debian.org
Subject: Re: ifplugd: FTBFS on amd64: Conflicting types for loff_t
Date: Thu, 22 Nov 2007 12:48:37 +0530
[Message part 1 (text/plain, inline)]
tags 451432 +patch
thanks

Adapting a patch from Ubuntu (which was likely tested on AMD64).  I
don't have a non-i386 sid, it would be good if someone can give this a
spin and comment here.  Please feel free to do an NMU if you can test
this (not just for the FTBFS, but an 'install and use' test).

Giridhar

On 07/11/15 17:26 -0500, Daniel Schepler said ...
> In file included from interface.c:27:
> /usr/include/sys/types.h:46: error: conflicting types for 'loff_t'
> /usr/include/linux/types.h:30: error: previous declaration of 'loff_t' was here

-- 
Y Giridhar Appaji Nag | http://www.appaji.net/
[ifplugd-0.28-2.3_451432_patch.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Y Giridhar Appaji Nag <giridhar@appaji.net> to control@bugs.debian.org. (Thu, 22 Nov 2007 07:21:05 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.unipd.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 451432-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 451432-close@bugs.debian.org
Subject: Bug#451432: fixed in ifplugd 0.28-4
Date: Sat, 12 Jan 2008 09:32:04 +0000
Source: ifplugd
Source-Version: 0.28-4

We believe that the bug you reported is fixed in the latest version of
ifplugd, which is due to be installed in the Debian FTP archive:

ifplugd_0.28-4.diff.gz
  to pool/main/i/ifplugd/ifplugd_0.28-4.diff.gz
ifplugd_0.28-4.dsc
  to pool/main/i/ifplugd/ifplugd_0.28-4.dsc
ifplugd_0.28-4_amd64.deb
  to pool/main/i/ifplugd/ifplugd_0.28-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 451432@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated ifplugd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 10:21:28 +0100
Source: ifplugd
Binary: ifplugd
Architecture: source amd64
Version: 0.28-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 ifplugd    - A configuration daemon for ethernet devices
Closes: 451432
Changes: 
 ifplugd (0.28-4) unstable; urgency=low
 .
   * QA upload.
   * Fix FTBFS on amd64, thanks to Y Giridhar Appaji Nag. (Closes: #451432)
Files: 
 ac01bc7e8ee98d24f92f6ccd6752a0cb 640 net optional ifplugd_0.28-4.dsc
 5e66fd6e4d2479bc27a42968f37cf240 48141 net optional ifplugd_0.28-4.diff.gz
 5b6456d95ab11657469e1e8b3207a548 64334 net optional ifplugd_0.28-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiIdY7Ro5M7LPzdgRAsNGAKDKLGyURONfgN1X7ToKV9mkexaSEgCgyU07
iG4Nl+ynFe7Ypog1dEKvwfA=
=fJ3n
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:30:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:01:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.